%define vfolder 1

Summary: Graphical frontend to generating boot disks
Name: qmkbootdisk
Version: 1.0.2
Release: 3
Prefix: /usr
Source: %{name}-%{version}.tar.bz2
Epoch: 8
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-buildroot
License: GPL

Prereq: /sbin/ldconfig
Requires: qt
Requires: mkbootdisk
BuildRequires: qt-devel >= 3.0.0
BuildRequires: make

# This doesn't make sense on systems that can't boot from disks...
ExcludeArch: ia64 s390 s390x x86_64 ppc ppc64

%description
QMkBootDisk lets you create boot floppies graphically.

%prep

%setup -q

%build
unset QTDIR || : ; . /etc/profile.d/qt.sh
make

%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

%if %{vfolder}
  mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
  install qmkbootdisk.desktop $RPM_BUILD_ROOT%{_datadir}/applications/qt-qmkbootdisk.desktop
%else
  mkdir -p $RPM_BUILD_ROOT/etc/X11/applnk/System \
           $RPM_BUILD_ROOT/etc/X11/sysconfig
  install -m 644 qmkbootdisk.desktop $RPM_BUILD_ROOT/etc/X11/applnk/System
  install -m 644 qmkbootdisk.desktop $RPM_BUILD_ROOT/etc/X11/sysconfig
%endif

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/qmkbootdisk
%if %{vfolder}
%{prefix}/share/applications/*
%else
%config(noreplace) /etc/X11/applnk/System/*
%config(noreplace) /etc/X11/sysconfig/*
%endif
%{_datadir}/icons/hicolor/48x48/apps/*

%changelog
* Sun Jul 25 2004 Than Ngo <than@redhat.com> 8:1.0.2-3
- fix broken deps

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon May 24 2004 Than Ngo <than@redhat.com> 1.0.2-1
- release 1.0.2, fix build problem with qt,
  add missing KDE icon

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jun 25 2003 Than Ngo <than@redhat.com> 8:1.0.1-11
- cleanup specfile

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Feb  3 2003 Tim Powers <timp@redhat.com> 8:1.0.1-9
- excludearch x86_64

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Fri Nov 29 2002 Tim Powers <timp@redhat.com> 8:1.0.1-7
- remove unpackaged files from the buildroot

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Wed Jul 24 2002 Karsten Hopp <karsten@redhat.de>
- use desktop-file-utils (#69466)

* Tue Jul 23 2002 Tim Powers <timp@redhat.com> 1.0.1-4
- build using gcc-3.2-0.1

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 1.0.1-3
- automated rebuild

* Thu May 23 2002 Tim Powers <timp@redhat.com> 1.0.1-2
- automated rebuild

* Mon Feb 18 2002 Bernhard Rosenkraenzer <bero@redhat.com> 1.0.1-1
- Initial build as separate package
